> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Status

> Get payment status and details

Get the current status and details of a payment.

<ParamField path="paymentId" type="string" required>
  Payment ID to check status for
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data.id" type="string">
  Payment ID
</ResponseField>

<ResponseField name="data.status" type="string">
  Payment status (pending, completed, expired)
</ResponseField>

<ResponseField name="data.amountCrypto" type="string">
  Amount in cryptocurrency
</ResponseField>

<ResponseField name="data.crypto" type="string">
  Selected cryptocurrency
</ResponseField>

<ResponseField name="data.address" type="string">
  Cryptocurrency address
</ResponseField>

<ResponseField name="data.incomingTxHash" type="string">
  Transaction hash (if completed)
</ResponseField>

<ResponseField name="data.completedAt" type="string">
  Completion timestamp (if completed)
</ResponseField>

## Example Request

```bash theme={null}
curl -X GET "https://api.transaction.gg/payment/status?paymentId=pay_abc123def456"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": "pay_abc123def456",
    "status": "completed",
    "amountCrypto": "0.00012345",
    "crypto": "BTC",
    "address": "1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa",
    "incomingTxHash": "abc123...",
    "completedAt": "2024-01-01T00:30:00Z",
    "customerId": "cus_V6n6SN2KnsIFCuQU",
    "orderId": "order_123",
    "metadata": {
      "description": "Premium subscription"
    }
  }
}
```

## Error Responses

<ResponseExample name="Payment Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "PAYMENT_NOT_FOUND",
      "message": "Payment not found"
    },
    "data": null
  }
  ```
</ResponseExample>
